Name:           meshmagick
Version:        0.6.0
Release:        1.20090529svn2698%{?dist}
Summary:        Command line manipulation tool for Ogre meshes

Group:          Applications/Multimedia
License:        LGPLv2+
URL:            http://www.ogre3d.org/wiki/index.php/MeshMagick
# The source for this package was pulled from upstream's svn.  Use the
# following commands to generate the tarball:
#  svn export -r 2698 https://ogreaddons.svn.sourceforge.net/svnroot/ogreaddons/trunk/meshmagick meshmagick
#  tar cjf meshmagick-0.6.0-r2698.tar.bz2 meshmagick
Source0:        %{name}-%{version}-r2698.tar.bz2
Patch0:         meshmagick-0.6.0-debuginfo.patch
Patch1:         meshmagick-0.6.0-fixbuild.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake libtool
BuildRequires:  ogre-devel

%description
MeshMagick is a manipulation tool for Ogre meshes (and skeletons). It
allows the user to query interesting information and to transform binary
meshes (and skeletons) in many ways.


%package        libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description    libs
The %{name}-libs package contains libraries that are needed for
running applications that use %{name}.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release} pkgconfig ogre-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1


%build
./bootstrap
%configure --disable-static
#cmake .
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.la


%clean
rm -rf $RPM_BUILD_ROOT


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 12 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.6.0-1.20090529svn2698
- Update

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-7.20090124svn2618
- Rebuilt for new OGRE

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-6.20090124svn2618
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-5.20090124svn2618
- Rebuild for new OGRE

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-4.20090124svn2618
- Polishing the Requires

* Wed Mar 04 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-3.20090124svn2618
- Split shared library to -libs subpackage for correct work in multilib
  environment
- Add patch for generating full debuginfo

* Tue Mar 03 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-2.20090124svn2618
- Renamed package to simply "meshmagick"
- Clarified commands to get source
- Minor fixes

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.2-1.20090124svn2618
- Update to post 0.5.2

* Mon Nov 03 2008 Alexey Torkhov <atorkhov@gmail.com> - 0.4.0-0.1.20080731svn2488
- Initial package
